This document lists the events and parameters for
various types of
Assignments Audit activity events. You can retrieve these events by
calling [Activities.list()](https://developers.google.com/workspace/admin/reports/v1/reference/activities/list)
with `applicationName=assignments`.

## Course content changes


A type of event where a user makes changes to course work and submissions in a course.
Events of this type are returned with `type=course_work_update`.

### Course work published

Event where a user publishes a piece of coursework.
Event details Event name `published_course_work` Parameters `course_id` `string`


The identifier of a course.
`course_title` `string`


The name of a course.
`course_work_title` `string`


The title of a piece of coursework.
`course_work_type` `string`


The type of a piece of coursework.
Possible values:

- `assignment`  
  Column value indicating that the type of this coursework is an assignment.
`post_id` `string`


The identifier of a piece of coursework.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/assignments?eventName=published_course_work&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} published course work '{course_work_title}' in {course_title}`

### Submission graded

Event where a user sets the grade for a submission.
Event details Event name `set_grade` Parameters `course_id` `string`


The identifier of a course.
`course_title` `string`


The name of a course.
`course_work_title` `string`


The title of a piece of coursework.
`impacted_users` `string`


The email of one or more users.
`post_id` `string`


The identifier of a piece of coursework.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/assignments?eventName=set_grade&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} graded submission(s) for course work '{course_work_title}' in {course_title}. New state: {submission_state}`

### Submission state changed

Event where a user changes the state of a submission.
Event details Event name `changed_submission_state` Parameters `course_id` `string`


The identifier of a course.
`course_title` `string`


The name of a course.
`course_work_title` `string`


The title of a piece of coursework.
`has_grade` `boolean`


Indicates whether or not a submission has a grade.
`impacted_users` `string`


The email of one or more users.
`is_late` `boolean`


Indicates whether or not a submission is late.
`post_id` `string`


The identifier of a piece of coursework.
`submission_state` `string`


The state of a submission.
Possible values:

- `reclaimed_by_student`  
  Indicates that a submission was reclaimed by a student.
- `returned`  
  Indicates that the submission state was changed to returned.
- `student_edited_after_turn_in`  
  Indicates that the student edited their submission after having turned it in.
- `turned_in`  
  Indicates the submission state was changed to turned in.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/assignments?eventName=changed_submission_state&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} changed the state of submission(s) for course work '{course_work_title}' in {course_title}. New state: {submission_state}`

## Course membership changes


A type of event including changes to course membership.
Events of this type are returned with `type=course_membership_change`.

### User joined course

Event where a user joins a course.
Event details Event name `user_joined_course` Parameters `course_id` `string`


The identifier of a course.
`course_join_method` `string`


The way a user joined a course (i.e., using a course code or from an invitation).
`course_role` `string`


The role a user plays in a course.
Possible values:

- `student`  
  Indicates that the user is a student.
- `teacher`  
  Indicates that the user is a teacher.
`course_title` `string`


The name of a course.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/assignments?eventName=user_joined_course&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} joined {course_title} in role: {course_role}`

### User removed from course

Event where a user removes another user from a course.
Event details Event name `user_removed_from_course` Parameters `course_id` `string`


The identifier of a course.
`course_role` `string`


The role a user plays in a course.
Possible values:

- `student`  
  Indicates that the user is a student.
- `teacher`  
  Indicates that the user is a teacher.
`course_title` `string`


The name of a course.
`impacted_users` `string`


The email of one or more users.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/assignments?eventName=user_removed_from_course&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} removed user(s) from {course_title} (previous role: {course_role})`

## Course updates


A type of event including changes to a course itself.
Events of this type are returned with `type=course_update`.

### Course created

Event where a user creates a course.
Event details Event name `created_course` Parameters `course_id` `string`


The identifier of a course.
`course_title` `string`


The name of a course.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/assignments?eventName=created_course&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} created {course_title}`

### Course deleted

Event where a user deletes a course.
Event details Event name `deleted_course` Parameters `course_id` `string`


The identifier of a course.
`course_title` `string`


The name of a course.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/assignments?eventName=deleted_course&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} deleted {course_title}`